Skip to content

getSupplierParts

READ

Get supplier parts.

POST /api/v1/items/getSupplierParts
curl -X POST '<your-host>/api/v1/items/getSupplierParts' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "id": "string"
  }'
Response
{
  "results": [
    {
      "active": true,
      "companyId": "string",
      "conversionFactor": 0,
      "createdAt": "string",
      "createdBy": "string",
      "customFields": "…",
      "id": "string",
      "itemId": "string",
      "minimumOrderQuantity": 0,
      "orderMultiple": 0,
      "supplierId": "string",
      "supplierPartId": "string",
      "supplierUnitOfMeasureCode": "string",
      "tags": [
        "string"
      ],
      "unitPrice": 0,
      "updatedAt": "string",
      "updatedBy": "string"
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    }
  },
  "required": [
    "id"
  ]
}